SchemaVersion (Hyperic HQ Plugin API)
Keywords: org.hyperic.tools.ant.dbupgrade.SchemaVersion class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.tools.ant.dbupgrade
Class SchemaVersion

    java.lang.Object
      org.hyperic.tools.ant.dbupgrade.SchemaVersion

All Implemented Interfaces:
  java.lang.Comparable

    public class SchemaVersion

extends java.lang.Object
implements java.lang.Comparable

Field Summary
`static java.lang.String` | `DEV_VERSION`
`static java.lang.String` | `INITIAL_VERSION`
`static java.lang.String` | `LATEST_VERSION`

Constructor Summary
`SchemaVersion(java.lang.String version)`

Method Summary
`boolean` | `between(SchemaVersion start, SchemaVersion target)`
`int` | `compareTo(java.lang.Object o)`
`boolean` | `equals(java.lang.Object o)`
`boolean` | `getIsLatest()`
`int` | `getMajorVersion()`
`int` | `getMinorVersion()`
`int` | `getPatchVersion()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INITIAL_VERSION

    public static final java.lang.String INITIAL_VERSION

See Also:
  Constant Field Values

### DEV_VERSION

    public static final java.lang.String DEV_VERSION

See Also:
  Constant Field Values

### LATEST_VERSION

    public static final java.lang.String LATEST_VERSION

See Also:
  Constant Field Values

Constructor Detail

### SchemaVersion

    public SchemaVersion(java.lang.String version)
                  throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

Method Detail

### getMajorVersion

    public int getMajorVersion()

### getMinorVersion

    public int getMinorVersion()

### getPatchVersion

    public int getPatchVersion()

### getIsLatest

    public boolean getIsLatest()

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### between

    public boolean between(SchemaVersion start,
                           SchemaVersion target)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.